> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Temperature Reached

> Simulates a [thermostat](https://docs.seam.co/capability-guides/thermostats) reaching a specified temperature. Only applicable for [sandbox devices](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your Thermostat App with Simulate Endpoints](https://docs.seam.co/capability-guides/thermostats/testing-your-thermostat-app-with-simulate-endpoints).



## OpenAPI

````yaml /openapi.json post /thermostats/simulate/temperature_reached
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/simulate/temperature_reached:
    post:
      tags:
        - /thermostats
      summary: Temperature Reached
      description: >-
        Simulates a
        [thermostat](https://docs.seam.co/capability-guides/thermostats)
        reaching a specified temperature. Only applicable for [sandbox
        devices](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).
        See also [Testing Your Thermostat App with Simulate
        Endpoints](https://docs.seam.co/capability-guides/thermostats/testing-your-thermostat-app-with-simulate-endpoints).
      operationId: thermostatsSimulateTemperatureReachedPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the thermostat device that you want to simulate
                    reaching a specified temperature.
                  format: uuid
                  type: string
                temperature_celsius:
                  description: >-
                    Temperature in °C that you want simulate the thermostat
                    reaching. You must set `temperature_celsius` or
                    `temperature_fahrenheit`.
                  format: float
                  type: number
                temperature_fahrenheit:
                  description: >-
                    Temperature in °F that you want simulate the thermostat
                    reaching. You must set `temperature_fahrenheit` or
                    `temperature_celsius`.
                  format: float
                  type: number
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.simulate.temperatureReached({
              device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              temperature_celsius: 25,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/simulate/temperature_reached"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              "temperature_celsius": 25
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.simulate.temperature_reached(
                device_id="278a72ba-7deb-45e3-a0c0-573fd360ee7b", temperature_celsius=25
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.simulate.temperature_reached(
              device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              temperature_celsius: 25,
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->simulate->temperature_reached(
                device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
                temperature_celsius: 25,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats simulate temperature-reached --device_id
            "278a72ba-7deb-45e3-a0c0-573fd360ee7b" --temperature_celsius 25


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````